%define major	8
%define minor	2
%define sub	6
%define pre	0
%define drbd_api_ver	86

Name:		drbd-utils
Version:	%{major}.%{minor}.%{sub}
%if %pre
Release:	%mkrel 0.%{pre}.1
%else
Release:	%mkrel 1
%endif
Summary:	Utilities to manage DRBD devices
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://www.drbd.org/
%if %pre
Source:		http://oss.linbit.com/drbd/%{major}/drbd-%{version}%{pre}.tar.gz
%else
Source:		http://oss.linbit.com/drbd/%{major}/drbd-%{version}.tar.gz
%endif
Patch:		drbd-8.2.6-usrsbin.patch
BuildRequires:	bison
BuildRequires:	flex
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
Requires(post):	initscripts
Requires:	drbd-api = %{drbd_api_ver}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%package heartbeat
Summary:       Script to help integration with heartbeat
Group:         System/Kernel and hardware
Requires:      heartbeat
Requires:      %{name} = %{version}

%description
DRBD is a block device which is designed to build High Availability clusters.
This is done by mirroring a whole block device via (maybe dedicated) network.
You could see it as a network RAID 1. This package contains the tools to
manage DRBD devices.

%description heartbeat
Installs the datadisk script, designed to ease integration with heartbeat.

%prep
%if %pre
%setup -q -n drbd-%{version}%{pre}
%else
%setup -q -n drbd-%{version}
%endif
%patch -p1 -b .sbin

# non-arch executable in datadir, fix conf file
sed -i 's,/usr/lib/drbd/outdate-peer\.sh,%{_datadir}/drbd/outdate-peer.sh,g' scripts/drbd.conf

%build
make -j ${NRPROC:-1} tools

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make PREFIX=%{buildroot} install-tools

install -d %{buildroot}%{_var}/lib/drbd
install -d %{buildroot}{%{_bindir},%{_sbindir}}

mkdir -p %{buildroot}%{_datadir}/drbd
mv -f %{buildroot}%{_prefix}/lib/drbd/outdate-peer.sh %{buildroot}%{_datadir}/drbd
mv -f %{buildroot}%{_prefix}/lib/drbd/snapshot-resync-target-lvm.sh %{buildroot}%{_datadir}/drbd
mv -f %{buildroot}%{_prefix}/lib/drbd/unsnapshot-resync-target-lvm.sh %{buildroot}%{_datadir}/drbd
# don't use rm -rf because we want to know if some new version
# installed something here we didn't know about
rmdir %{buildroot}%{_prefix}/lib/drbd/
rmdir %{buildroot}%{_prefix}/lib

%clean
rm -rf %{buildroot}

%post
%_post_service drbd

%preun
%_preun_service drbd

%files
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/drbd.conf
%dir %{_var}/lib/drbd
%{_sysconfdir}/rc.d/init.d/drbd
%{_sysconfdir}/xen/scripts/block-drbd
%{_sbindir}/drbdadm
%{_sbindir}/drbdmeta
%{_sbindir}/drbdsetup
%dir %{_datadir}/drbd
%{_datadir}/drbd/outdate-peer.sh
%{_datadir}/drbd/snapshot-resync-target-lvm.sh
%{_datadir}/drbd/unsnapshot-resync-target-lvm.sh
%defattr(0644,root,root,0755)
%doc %{_mandir}/man5/drbd.conf.5*
%doc %{_mandir}/man8/drbd.8*
%doc %{_mandir}/man8/drbdadm.8*
%doc %{_mandir}/man8/drbdmeta.8*
%doc %{_mandir}/man8/drbddisk.8*
%doc %{_mandir}/man8/drbdsetup.8*

%files heartbeat
%defattr(-,root,root)
%{_sysconfdir}/ha.d/resource.d/drbddisk
%defattr(0644,root,root,0755)



%changelog
* Wed Jul 23 2008 Thomas Backlund <tmb@mandriva.org> 8.2.6-1mdv2009.0
+ Revision: 241287
- update to 8.2.6

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 8.0.11-3mdv2009.0
+ Revision: 220706
- rebuild

* Wed Feb 13 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 8.0.11-2mdv2008.1
+ Revision: 167159
- New upstream: 8.0.11
- Removed es and pt-BR i18n from specfile.
- compare.pl is not shipped by upstream anymore.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Adam Williamson <awilliamson@mandriva.com>
    - new version 8.0.8

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.com> 8.0.6-1mdv2008.0
+ Revision: 80699
- rediff patch
- use Fedora license policy
- new release 8.0.6

* Sun Jul 01 2007 Adam Williamson <awilliamson@mandriva.com> 8.0.3-1mdv2008.0
+ Revision: 46612
- new release 8.0.3, rebuild for 2008


* Mon Sep 11 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-09-11 19:52:16 (60907)
- ok, so _lib is not equal to lib
- be more careful removing directories

* Mon Sep 11 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-09-11 19:38:45 (60902)
- bump release

* Mon Sep 11 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-09-11 19:37:09 (60901)
- move arch-independant file to proper place, adjust conf file. This
  fixes x86_64 build

* Wed Aug 30 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-30 21:35:07 (58890)
- add pre version to release

* Wed Aug 30 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-30 20:54:52 (58882)
- removed changelog section, this package is in svn

* Wed Aug 30 2006 Marcelo Ricardo Leitner <mrl@mandriva.com>
+ 2006-08-30 20:39:10 (58879)
- Fixed usrsbin patch version.

* Wed Aug 30 2006 Marcelo Ricardo Leitner <mrl@mandriva.com>
+ 2006-08-30 20:38:16 (58878)
- New upstream: 8.0pre4
- Added P0 due to new upstream.
- Fixed /var/lib/lib/drbd issue.
- Merged fixes from 2006.

* Wed Aug 30 2006 Marcelo Ricardo Leitner <mrl@mandriva.com>
+ 2006-08-30 20:34:41 (58877)
- Synced with cooker with parts from 2006 (the package was updated outside svn):
  * Fri Jul 07 2006 Vincent Danen <vdanen@mandriva.com> 0.7.19-2.1.20060mdk
  - build for updates
  * Mon Jul 03 2006 Nicolas L?\239?\191?\189cureuil <neoclust@mandriva.org> 0.7.19-3mdk
  - Fix Requires
  * Mon Jun 19 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.19-2mdk
  - Added Requires to drbd-api = 78
  * Thu Jun 08 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.19-1mdk
  - New upstream: 0.7.19
  - Fixed drbd{adm,setup} paths through patch usrsbin.
  * Mon Dec 26 2005 Nicolas L?\239?\191?\189cureuil <neoclust@mandriva.org> 0.7.15-1mdk
  - New release 0.7.15
  - Drop patch 0 : Merged upstream
  * Thu Nov 03 2005 Nicolas L?\239?\191?\189cureuil <neoclust@mandriva.org> 0.7.14-1mdk
  - 0.7.14
  * Wed Aug 10 2005 Nicolas L?\239?\191?\189cureuil <neoclust@mandriva.org> 0.7.10-4mdk
  - fix BuildRequires
  * Sat Jul 30 2005 Nicolas L?\239?\191?\189cureuil <neoclust@mandriva.org> 0.7.10-3mdk
  - Add Bison as BuildRequires

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Fri Jul 08 2005 Flavio Bruno Leitner <fbl@mandriva.com>
+ 2005-07-08 11:01:45 (345)
- fixed URL

* Mon Jul 04 2005 Flavio Bruno Leitner <fbl@mandriva.com>
+ 2005-07-04 14:10:58 (287)
- fixed rpmlint errors

* Thu Jun 23 2005 Flavio Bruno Leitner <fbl@mandriva.com>
+ 2005-06-23 16:31:44 (239)
- added drbd sources and spec file.

* Thu Jun 23 2005 Flavio Bruno Leitner <fbl@mandriva.com>
+ 2005-06-23 13:42:50 (238)
- Created package structure for drbd-utils.

